Bug 1026095 - (doclifter) Review Request: doclifter - Translates documents written in troff macros to DocBook
Review Request: doclifter - Translates documents written in troff macros to D...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-03 10:53 EST by Mario Blättermann
Modified: 2013-11-13 22:39 EST (History)
4 users (show)

See Also:
Fixed In Version: doclifter-2.13-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 01:52:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mario Blättermann 2013-11-03 10:53:08 EST
Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/doclifter.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/doclifter-2.13-1.fc19.src.rpm

Description:
The doclifter program translates documents written in troff macros to DocBook.

Lifting documents from presentation level to semantic level is hard, and
a really good job requires human polishing.  This tool aims to do everything
that can be mechanized, and to preserve any troff-level information that might
have structural implications in XML comments.

This tool does the hard parts.  TBL tables are translated into DocBook
table markup, PIC into SVG, and EQN into MathML (relying on pic2svg
and GNU eqn for the last two).
 
Fedora Account System Username: mariobl
Comment 1 Christopher Meng 2013-11-03 21:12:32 EST
Love esr's tools. Taken.
Comment 2 Christopher Meng 2013-11-03 21:31:44 EST
Requires
--------
doclifter (rpmlib, GLIBC filtered):
    /usr/bin/env
    /usr/bin/python

Well, I think you should patch env path to %{__python2}.

Others are fine.

Once fixed I will approve.
Comment 3 Mario Blättermann 2013-11-04 06:54:44 EST
OK, I've changed the shebangs to python2, in case of doclifter even without /usr/bin/env.

New files:
Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/doclifter.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/doclifter-2.13-2.fc19.src.rpm
Comment 4 Christopher Meng 2013-11-04 06:55:42 EST
PACKAGE APPROVED.
Comment 5 Mario Blättermann 2013-11-04 06:59:11 EST
Many thanks for the review!

New Package SCM Request
=======================
Package Name: doclifter
Short Description: Translates documents written in troff macros to DocBook
Owners: mariobl
Branches: f19 f20
Comment 6 Ralf Corsepius 2013-11-04 07:53:39 EST
Does this package also work with python3?

To me, it doesn't make much sense to introduce new python2 packages into Fedora at this point in time.
Comment 7 Gwyn Ciesla 2013-11-04 08:21:25 EST
Git done (by process-git-requests).
Comment 8 Mario Blättermann 2013-11-04 12:18:10 EST
(In reply to Ralf Corsepius from comment #6)
> Does this package also work with python3?
> 
> To me, it doesn't make much sense to introduce new python2 packages into
> Fedora at this point in time.

Well, it would be fine to let it depend on Python3, although Python2 hasn't reached EOL yet in Fedora. Currently it doesn't work. The package build fails on the tests:

+ make check
capabilities
  File "../doclifter", line 469
    return "<Frame: " + `self.__dict__` + ">"
                        ^
SyntaxError: invalid syntax
*** Nonzero return status on capabilities!
make[1]: *** [regress] Error 1
make: *** [check] Error 2
Fehler: Fehler-Status beim Beenden von /var/tmp/rpm-tmp.uON8zA (%check)

When I disable them, the package builds, but doclifter fails with a syntax error:

$ doclifter knapsen.1
  File "/bin/doclifter", line 469
    return "<Frame: " + `self.__dict__` + ">"
                        ^
SyntaxError: invalid syntax

That's why I will import the Python2 package for the time being, but I will ask the upstream developer Eric S. Raymond for a solution. Maybe it is simply to fix  with 2to3, but my knowledge is poor in this case, so it is up to Eric to fix it.

Thanks in any case for the hint. You are right, if we have the chance to use Python3, we should do so. I will have a look at my Python2 based packages if they run with Python3. As far as I can remember, sfbm should be able to.
Comment 9 Fedora Update System 2013-11-04 12:33:11 EST
doclifter-2.13-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/doclifter-2.13-2.fc19
Comment 10 Fedora Update System 2013-11-04 12:33:23 EST
doclifter-2.13-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/doclifter-2.13-2.fc20
Comment 11 Fedora Update System 2013-11-04 21:53:24 EST
doclifter-2.13-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 12 Christopher Meng 2013-11-04 23:44:20 EST
OT: It's not easy to approach Eric, I packaged 3 softwares of him from Apr, and he still hasn't replied to any of emails sent by myself...
Comment 13 Fedora Update System 2013-11-10 01:52:58 EST
doclifter-2.13-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 14 Fedora Update System 2013-11-13 22:39:18 EST
doclifter-2.13-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.